---

  - name: DarkNet packages
    become: yes
    package:
      name:
        - deluge
        - deluge-gtk
        - openvpn
        - nordvpn-bin
        - tor
        - torsocks
        - tor-browser-en

  - name: "Enable daemons"
    become: yes
    service:
      name: "{{ item }}"
      state: started
      enabled: yes
    loop:
      - tor
      - nordvpnd
      - deluged

  - debug:
      msg: "Remember to use the nordvpn-bin command to set up your account."


        # TODO Add yaml for OVPN file, user, pass to Vault
        # TODO Enforce vpn.service on server instead of nordvpnd.
        # TODO Add /etc/bashrc.d file for `alias torlynx='torsocks elinks https://check.torproject.org/'`
        # TODO Add monit checks for tor and openvpn services
        # TODO Shift deluged to WolfPack
